<template>
  <div id="app">
    <app-layout>
      <template slot="nav">
        <sidebar-nav :routers="route" />
      </template>
      <router-view></router-view>
    </app-layout>
  </div>
</template>

<script>
export default {
  name: "app",
  created() {
    console.log(this.route);
  },
  props: {
    route: {
      type: Array,
      default: () => []
    }
  },
  data() {
    let dataList = [];
    for (let index = 0; index < 20; index++) {
      dataList[index] = {
        id: index,
        name: "asdad"
      };
    }
    return {
      filters: {},
      dataList: dataList,
      selectVal: "",
      pagination: {
        pageNum: 1,
        pageSize: 10,
        total: 123
      }
    };
  }
};
</script>

<style lang="scss">
.components-demo-wrap {
  width: 500px;
  margin: 50px auto;
}
</style>

